.. _vim.event.VmDasBeingResetEvent: ../../../vim/event/VmDasBeingResetEvent.rst

.. _vim.event.VmDasBeingResetEvent.ReasonCode: ../../../vim/event/VmDasBeingResetEvent/ReasonCode.rst

vim.event.VmDasBeingResetEvent.ReasonCode
=========================================
  :contained by: `vim.event.VmDasBeingResetEvent`_

  :type: `vim.event.VmDasBeingResetEvent.ReasonCode`_

  :name: appImmediateResetRequest

values:
--------

appImmediateResetRequest
   immediate reset request

appHeartbeatFailure
   application heartbeat failure

vmtoolsHeartbeatFailure
   vmtools heartbeat failure
